Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Server\Controller Class Reference
Inheritance diagram for eZ\Publish\Core\REST\Server\Controller:

## Public Member Functions
| setInputDispatcher (InputDispatcher $inputDispatcher)
| setRouter (RouterInterface $router)
| setRepository (Repository $repository)
| setRequestParser (RequestParser $requestParser)

## Protected Member Functions
| getMediaType (Request $request)
| Extracts the requested media type from $request. More...

## Protected Attributes
| $inputDispatcher
| $router
| $requestParser
| $repository

## Detailed Description

Definition at line 17 of file Publish/Core/REST/Server/Controller.php.

## Member Function Documentation

## ◆ getMediaType()

eZ\Publish\Core\REST\Server\Controller::getMediaType | ( | Request | $request | ) |
| protected

Extracts the requested media type from $request.

Todo:
  refactor, maybe to a REST Request with an accepts('content-type') method

Returns
  string

Definition at line 64 of file Publish/Core/REST/Server/Controller.php.

Referenced by eZ\Publish\Core\REST\Server\Controller\Content\doCreateContent(), eZ\Publish\Core\REST\Server\Controller\ContentType\listContentTypes(), eZ\Publish\Core\REST\Server\Controller\ContentType\listContentTypesForGroup(), eZ\Publish\Core\REST\Server\Controller\Content\loadContent(), eZ\Publish\Core\REST\Server\Controller\User\loadSubUserGroups(), eZ\Publish\Core\REST\Server\Controller\User\loadUserGroups(), eZ\Publish\Core\REST\Server\Controller\User\loadUsers(), and eZ\Publish\Core\REST\Server\Controller\User\loadUsersFromGroup().

## ◆ setInputDispatcher()

eZ\Publish\Core\REST\Server\Controller::setInputDispatcher | ( | InputDispatcher | $inputDispatcher | ) |

Definition at line 37 of file Publish/Core/REST/Server/Controller.php.

References eZ\Publish\Core\REST\Server\Controller\$inputDispatcher.

## ◆ setRepository()

eZ\Publish\Core\REST\Server\Controller::setRepository | ( | Repository | $repository | ) |

Definition at line 47 of file Publish/Core/REST/Server/Controller.php.

References eZ\Publish\Core\REST\Server\Controller\$repository.

## ◆ setRequestParser()

eZ\Publish\Core\REST\Server\Controller::setRequestParser | ( | RequestParser | $requestParser | ) |

Definition at line 52 of file Publish/Core/REST/Server/Controller.php.

References eZ\Publish\Core\REST\Server\Controller\$requestParser.

## ◆ setRouter()

eZ\Publish\Core\REST\Server\Controller::setRouter | ( | RouterInterface | $router | ) |

Definition at line 42 of file Publish/Core/REST/Server/Controller.php.

References eZ\Publish\Core\REST\Server\Controller\$router.

## Member Data Documentation

## ◆ $inputDispatcher

eZ\Publish\Core\REST\Server\Controller::$inputDispatcher
| protected

Definition at line 22 of file Publish/Core/REST/Server/Controller.php.

Referenced by eZ\Publish\Core\REST\Server\Controller\setInputDispatcher().

## ◆ $repository

eZ\Publish\Core\REST\Server\Controller::$repository
| protected

Definition at line 35 of file Publish/Core/REST/Server/Controller.php.

Referenced by eZ\Publish\Core\REST\Server\Controller\setRepository().

## ◆ $requestParser

eZ\Publish\Core\REST\Server\Controller::$requestParser
| protected

Definition at line 28 of file Publish/Core/REST/Server/Controller.php.

Referenced by eZ\Publish\Core\REST\Server\Controller\setRequestParser().

## ◆ $router

eZ\Publish\Core\REST\Server\Controller::$router
| protected

Definition at line 25 of file Publish/Core/REST/Server/Controller.php.

Referenced by eZ\Publish\Core\REST\Server\Controller\setRouter().

The documentation for this class was generated from the following file:

- Publish/Core/REST/Server/Controller.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.